Skip to main content

Update a roadmap project

Update a roadmap project

Path Parameters
id string REQUIRED

Unique identifier (id or clientId)

Request Body REQUIRED
title string

Title of the project

caption string

Caption / subtitle. Set to null to clear.

publicDescription string

Public description. Set to null to clear.

privateDescription string

Private description. Set to null to clear.

assigneeIds object

Connect/disconnect assignees. Only collaborators are accepted on connect.

connect string[]

IDs to connect

disconnect string[]

IDs to disconnect

linkedDiscoveryIds object

Connect/disconnect linked discoveries. Only discoveries (not components) are accepted on connect.

connect string[]

IDs to connect

disconnect string[]

IDs to disconnect

fieldsOptions object

Connect/disconnect custom field options. For SINGLE_SELECT fields, only the first option is kept on connect.

connect string[]

IDs to connect

disconnect string[]

IDs to disconnect

Responses
200

Update an existing roadmap project

Schema OPTIONAL
roadmapProject object

The updated roadmap project

id string

Unique identifier of the roadmap project

clientId string

Client identifier

createdAt date-time

Creation date

updatedAt date-time

Last update date

title string

Title of the project

caption string OPTIONAL

Caption / subtitle

publicDescription string OPTIONAL

Public description

privateDescription string OPTIONAL

Private description

coverImage string OPTIONAL

Cover image URL

coverImageThumbnail string OPTIONAL

Cover image thumbnail URL

progress object

Progress calculated from linked discoveries

started number

Ratio of started discoveries (excl. CLOSED)

finished number

Ratio of finished discoveries (excl. CLOSED)

assignees object[]

Assignees of the project

id string

Unique identifier of the assignee

email string OPTIONAL

Email of the assignee

name string

Name of the assignee

fields object[] OPTIONAL

Custom field values. Only included when select=fields is specified.

field object

The custom field definition

id string

Field ID

clientId string

Field client ID

name string

Field name

type string

Possible values: [SINGLE_SELECT, MULTI_SELECT]

Field type

singleValue object OPTIONAL

Selected option (SINGLE_SELECT fields)

id string

Option ID

clientId string

Option client ID

name string

Option name

multiValues object[] OPTIONAL

Selected options (MULTI_SELECT fields)

id string

Option ID

clientId string

Option client ID

name string

Option name

linkedDiscoveries object[] OPTIONAL

Linked discoveries. Only included when select=discoveries is specified.

id string

Discovery ID

clientId string

Discovery client ID

title string

Discovery title

discoveryStateId string OPTIONAL

Current discovery state ID

votes object[] OPTIONAL

Votes. Only included when select=votes is specified.

id string

Vote ID

value string

Possible values: [BAD, NULL, GOOD]

Vote value

personId string OPTIONAL

Person ID of the voter

email string OPTIONAL

Email of the voter

createdAt date-time

Date of the vote

warnings string[]

Warnings from silent validation